Stream advanced OCSF search progress and results
curl --request POST \
--url https://api.wirespeed.co/v1/ocsf/advanced/stream \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"queryId": "<string>",
"startTime": "<string>",
"endTime": "<string>"
}
'import requests
url = "https://api.wirespeed.co/v1/ocsf/advanced/stream"
payload = {
"query": "<string>",
"queryId": "<string>",
"startTime": "<string>",
"endTime": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
queryId: '<string>',
startTime: '<string>',
endTime: '<string>'
})
};
fetch('https://api.wirespeed.co/v1/ocsf/advanced/stream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"queryId": "<string>",
"rowsRead": 123,
"bytesRead": 123,
"result": {
"data": [
{}
],
"totalCount": 123,
"queryId": "<string>",
"rowsRead": 123,
"bytesRead": 123
},
"row": {},
"message": "<string>"
}{
"message": "<string>",
"statusCode": 123
}OCSF
Stream advanced OCSF search progress and results
POST
/
v1
/
ocsf
/
advanced
/
stream
Stream advanced OCSF search progress and results
Authorizations
bearerbearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Stream event type
Unique identifier for this query execution
Number of rows read so far
Number of bytes read so far
Final OCSF search result when the stream completes
Show child attributes
Show child attributes
Single streamed result row
Error message
⌘I

